HTML

Bagoj úr blogja

Kíváncsi Bagoj befigyel a Linux belsejébe, illetve különféle Linux terjesztéseket próbál ki. Ha jó napja van, scriptet ír Neked.

Friss topikok

Midori, a kicsi és bosszantó :-)

2009.07.24. 20:05 bagoj ur

Mivel nyár van, buli és csajozás, csak ritkán jutok el a bloggig, de látom hogy Ti, kedves Olvasók, aktívak vagytok, ezúton is köszönöm szépen a sok látogatást! :-)

A kis gyors post lényege a.tom kérésének teljesítése; kipróbáltam hogy mennyire muzsikál szépen a midori böngésző.

Mint az közismert, a midori egy webkit-alapú, kicsi és gyors, sokak által méltatott böngésző. Mivel a szokásosnál is gyengébb gépen dolgozom pillanatnyilag (PIII 1GHz, 256M RAM), ezért nem mindegy hogy Firefox, vagy valami kisebb. Feltettem hát a midorit a szokásos, apt-get install midori paranccsal - mindössze 10Mb pluszt jelent kicsomagolva. Gyorsan indult, szépen (bár nem tökéletesen) jelenítette meg a weboldalakat (példa: Ha egy block-szintű elem height-je kisebb, mint a line-height, akkor kitesz egy csúszkát a szélére, mintha az egy overflow:auto-s DIV lenne, amiben nem fér el a tartalom). Ettől függetlenül szép és jó volt minden, amíg észre nem vettem, hogy hoppá a flash-es oldalak nem működnek. Kis töprengés után felraktam a flashplugin-nonfree csomagot is. Sajnos ettől nem javult meg, kiderült hogy meg kell adni a flash plugin könyvtárát is (ahol a libflashplayer.so van) a MOZ_PLUGIN_PATH könyezeti változón keresztül. Praktikusan így indítottam tehát:

MOZ_PLUGIN_PATH="~/.mozilla/plugins/" midori

Ezután simán elindult a flash, nem volt probléma, mindössze annyi hogy minden második alkalommal segfaultolt a midori. :-( Akár úgy is, hogy a főoldal bejött, egy linkre kattintva pedig behalt. Ráadásul nem is működött tökéletesen, a flash-ek háttere akkor sem volt egész képernyős, ha annak kellett volna lennie.

Összességében tehát jól indult a kapcsolatunk Midorival, de egyelőre kivárok. A tesztelt verzió a 0.1.2 volt, ellenőrzés nélkül is biztos vagyok benne hogy már most is van ennél jobb és újabb változat, amit biztosan fogok is tesztelni az Ubuntu Karmic Koalában.

Bónusz: Ugyanezen a gépen az Evolution és a Thunderbird is kicsit nehézkesnek tűnt. Felraktam hát a Balsát, alap feladatokra tökéletes grafikus levelező program. (A Sylpheed és Claws nekem nem jön be, régen a Sylpheed-et egy évig használtam és nem tudtam megbarátkozni a felületével - majdnem úgy működik minden, ahogy kéne, de aztán mégsem. Például ilyen a HTML formátumú levél támogatás; furcsán oldották meg, nekem meg nem tetszik, pont.)

Zenelejátszó programnak pedig a már tesztelt moc-ot tettem fel, télleg ott van a szeren a kis aranyos, annak ellenére hogy karakteres képernyőn működik.

4 komment

Címkék: linux zene levelező böngésző alkalmazások

A bejegyzés trackback címe:

https://bagojur.blog.hu/api/trackback/id/tr351266550

Kommentek:

A hozzászólások a vonatkozó jogszabályok  értelmében felhasználói tartalomnak minősülnek, értük a szolgáltatás technikai  üzemeltetője semmilyen felelősséget nem vállal, azokat nem ellenőrzi. Kifogás esetén forduljon a blog szerkesztőjéhez. Részletek a  Felhasználási feltételekben és az adatvédelmi tájékoztatóban.

zoltanh721 2009.07.25. 16:32:23

Hát, mit mondhatnék? A midori tényleg jó, de nem értem miért egy őskövületet kellett felrakni és kipróbálni. Nálam stabilan csomagból Fedorán 0.1.7 fut, de már láttam az 0.1.8-at is, és semmi gond nincs vele. Kár az 0.1.2-ért....

Egyébként, nem tudom hogy vagy vele de én még nem láttam 3 kbyte-ban böngészőt, egészen tegnapig, amíg egy barátom meg nem mutatta. Hiába lekattant állal néztem a kb. 50 sornyi python kódot ;)

bitbucket.org/patx/fastpatx/wiki/Home

bagoj ur 2009.07.27. 15:02:35

@zoltanh721: "Nyugodtság vaan..." - ahogy Gaben mondta az Üvegtigrisben. ;-) Le fogom tesztelni, de nem volt időm arra hogy fordítgassak, csak gyorsba' leszedtem apt-gettel. Szerintem nem én tehetek arról, hogy a debian csomag még ilyen régi dátumú, hanem a package maintainerek.

Mivel a Króm nevű böngésző újabb változata is most jött ki, ezért majd egy közös kis összehasonlítót fogok írni rövidesen, és abban a 0.1.8 lesz benne, meglásd. :-)

Obor Oborovics (törölt) 2009.07.28. 20:22:59

@bagoj ur: használd a Midori/Webkit Team PPA-t. Ettől még ugyanazt a bitkavalkádot csurgatod a merevlemezedre, de attól, hogy te PPA-t használsz, ők meg nem, különbözöl a többiektől. Ez lenne az, amit jó lenne ha megértenél" :)

Ezen kívül ajánlom még figyelmedbe az Arora-t is.
deb ppa.launchpad.net/mapopa/ppa/ubuntu YOUR_UBUNTU_VERSION_HERE main

Midori
deb ppa.launchpad.net/midori/ppa/ubuntu
YOUR_UBUNTU_VERSION_HERE main

Webkit Team
deb ppa.launchpad.net/webkit-team/ppa/ubuntu YOUR_UBUNTU_VERSION_HERE main

Psycho Dad 2009.07.28. 20:38:46

Ajánlom figyelmedbe az uzbl-t, nagyon ígéretesnek tűnik, bár én egyelőre még várok egy stabil verzióra.
www.uzbl.org/